/* Class for using the JoyWarrior24F14
 * Created by Code Mercenaries GmbH
 * Date 26-07-2012
 */

#pragma once


/*
* Windows specific types and defines
*/
typedef unsigned long          ULONG;
typedef long                   LONG;
typedef unsigned short         USHORT;
typedef unsigned short         WORD;
typedef unsigned char          UCHAR;
typedef unsigned char          BYTE;
typedef int                    BOOL;
typedef unsigned char          BOOLEAN;
typedef unsigned long          DWORD;
//typedef unsigned long          HANDLE;

class JoyWarrior24F14
{
public: 
	//constructor
	JoyWarrior24F14();

	//overload

	//destructor
	~JoyWarrior24F14(void);  

	//Variables
private:
	DWORD device;
	BYTE range;
	BYTE bandwidth;

	//Member Methods
public:
	void SetDevice(DWORD _device);
	DWORD GetDevice(void);


};