#include "stdafx.h"
#include "filters.h"

void ShiftInput15(double new_input, double shift[16])
{
	for(int k=0; k<16; k++)
		shift[k] = shift[k+1];

	shift[15] = new_input;
}

double FilterFIR(double input[16], double filter[16])
{
	int i;
	double sum = 0;

	for(i=0; i<16; i++) //FIR-steps
		sum += input[i]*filter[15-i]; //Berechnet die einzelnen Positionen

	/*Die eigentliche Formel zum Berechnen des FIR*/
	//output = input[0]*filter[15] + input[1]*filter[14] + input[2]*filter[13];

	return sum;
}

/**
count = Number of values
base = Value 
values = Value Array
**/

double FilterMedian(int count, double base, double values[])
{
	double median;
	double summe;
	double add = 0;


	for(int i=0; i<count; i++)
		add += values[i];

	summe = add / count;
	return summe;
	//median = (summe + base) / 2;
	//return median;
}



double FilterMedian16(double base, double values[16])
{
	double summe = 0;
	double median = 0;
	double add = 0;

	for(int i=0; i<16; i++)
	{
		add += values[i];
	}

	summe = add/16.0;

	median = (summe + base)/2.0;

	return median;
}

double FilterMedian32(double base, double values[32])
{
	double summe = 0;
	double median = 0;
	double add = 0;

	for(int i=0; i<32; i++)
	{
		add = add + values[i];
	}

	summe = add/32.0;

	median = (summe + base)/2.0;

	return median;
}

double FilterMedian64(double base, double values[64])
{
	double summe = 0;
	double median = 0;
	double add = 0;

	for(int i=0; i<64; i++)
	{
		add = add + values[i];
	}

	summe = add/64.0;

	median = (summe + base)/2.0;

	return median;
}
