#include "stdafx.h"
#include "math.h"

short CalcMsbLsb(BYTE lsb, BYTE msb)
{
	short erg;
	short LSB, MSB, EXEC;
	short TEMP = 0x0000;

	EXEC = (msb & 0x80) << 8;
	EXEC = EXEC & 0x8000;

	/*Calculate negative values*/
	if(EXEC & 0x8000)
		EXEC = EXEC | 0x7C00;

	MSB = msb << 2;
	MSB = MSB & 0x03FC;
	LSB = (lsb & 0xC0) >> 6;
	LSB = LSB & 0x0003;

	erg = MSB | LSB | EXEC;

	return erg;
}

short CalcMsbLsb2(BYTE lsb, BYTE msb)
{
	short erg;
	short LSB, MSB;
	short TEMP = 0x0000;

	/*Calculate negative values*/

	MSB = msb << 2;
	MSB = MSB & 0x03FC;
	LSB = (lsb & 0xC0) >> 6;
	LSB = LSB & 0x0003;

	erg = MSB | LSB;

	return erg;
}

/*Get program-path*/
CString GetPathString(void)
{
	char save[1024];
	int pos1 = 0;
	CString path;

	GetModuleFileNameW(NULL, (LPWCH) save, 1023);
	path.Format(_T("%s"), save);

	pos1 = path.ReverseFind('\\');

	path.SetString(path.Mid(0, pos1));

	return path;
}

int GetTimestamp(void)
{
	CString string;
	CTime cTime = CTime::GetCurrentTime();

	string.Format(_T("%d"), cTime.GetTickCount());

	return _wtoi(string);
}

CString GetFullTime(void)
{
	CString string;
	CTime cTime = CTime::GetCurrentTime();

	string.Format(_T("%.2d:%.2d:%.2d %.2d.%.2d.%.4d"), cTime.GetHour(), cTime.GetMinute(), cTime.GetSecond(), cTime.GetDay(), cTime.GetMonth(), cTime.GetYear());

	return string;
}
