#include "math.h"

#define PI 3.14159265

double GetPitch(int x, int y, int z)
{
	double erg;
	erg = y / sqrtl( (x*x) + (z*z) );
	erg = atan(erg);

	return erg * 180 / PI;
}

double GetRoll(int x, int y, int z)
{
	double erg;
	erg = x / sqrtl( (y*y) + (z*z) );
	erg = atan(erg);

	return erg * 180 / PI;
}

/*
double GetPitchTilt(int y, int z)
{
	double erg;
	//erg = atan((double)y / (double)z) * 180 * PI;
	erg = tan((double)y / (double)z);
	
	return erg;
}

double GetRollTilt(int x, int z)
{
	double erg;
	//erg = atan((double)x / (double)z) * 180 * PI;
	erg = tan((double)x / (double)z);
	
	return erg;
}


double GetTiltAng(double x, double y)
{
	//a + b = c (Satz des Phytagoras)

	double c;
	double erg;

	c = sqrt((double) (x*x) + (y*y));

	erg = asin(c) * 180 / PI;

	return erg;
}

double Steigung(float x, float y)
{
	//a + b = c (Satz des Phytagoras)

	float c;
	float erg;

	c = sqrt((x*x) + (y*y));

	erg = tan(c);

	return erg;
}
*/
double Winkel_X(double x, double y, double z)
{
	double tf = sqrt( (x*x) + (y*y) + (z*z) );
	return asin(x/tf);
}

double Winkel_Y(double x, double y, double z)
{
	double tf = sqrt( (x*x) + (y*y) + (z*z) );
	return asin(y/tf);
}

double Winkel_Z(double x, double y, double z)
{
	double tf = sqrt( (x*x) + (y*y) + (z*z) );
	return asin(z/tf);
}